Bug 1665203 - custom system purpose values not shown in content host details dropdowns
Summary: custom system purpose values not shown in content host details dropdowns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-10 16:56 UTC by Jonathon Turel
Modified: 2019-10-07 17:19 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.11-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:54 UTC
Foreman Issue Tracker 25832 None None None 2019-01-10 16:56:06 UTC

Description Jonathon Turel 2019-01-10 16:56:06 UTC
When custom values (not coming from a manifest) are set for system purpose attributes Role, Usage or Addons they are not shown in the dropdown lists on the content host details page. They should be shown so it isn't confusing

Comment 1 Jonathon Turel 2019-01-10 16:56:08 UTC
Created from redmine issue https://projects.theforeman.org/issues/25832

Comment 2 Jonathon Turel 2019-01-10 16:56:09 UTC
Upstream bug assigned to jturel@redhat.com

Comment 4 Bryan Kearney 2019-01-16 23:06:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25832 has been resolved.

Comment 7 Jonathon Turel 2019-01-25 14:12:55 UTC
Hi Stephen,

You can do this:

1) register a RHEL8 client
2) with the 'syspurpose' CLI tool on the client, set some of the values:
- syspurpose set-role "my role"
- syspurpose set-usage "development"
- syspurpose add-addons "myaddon"

They will now show up in the UI for this content host, but slightly differently than before. Prior to my change, you could see that any of the given values were assigned - but when going into edit mode they would disappear. Quite confusing. Now the currently set value will show in the dropdowns or checkboxes in the case of addons when going into edit mode.

Comment 11 errata-xmlrpc 2019-05-14 12:39:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.